#
# spec file for package xscreensaver (Version 4.16)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  bc control-center2 gle gnome2-devel-packages intltool mesa-devel-packages pam-devel perl-XML-Parser x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake bc binutils control-center2 esound esound-devel expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext gle glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pam-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm update-desktop-files

Name:         xscreensaver
License:      GPL, distributable
Group:        Amusements/Toys/Screensavers
Provides:     xscrns
Obsoletes:    xscrns 
Autoreqprov:  on
Version:      4.16
Release:      2.3
Summary:      A screen saver and locker for the X Window System
URL:          http://www.jwz.org/xscreensaver/
Source:       xscreensaver-%{version}.tar.bz2
Source1:      xscreensaver.pamd
Source2:      README.SuSE
Source4:      fortune-wrapper
Patch2:       install.diff
Patch5:       background.diff
Patch8:       autoheader_templates.diff
Patch10:      disable-fortune-test.diff
Patch11:      desktop-file.diff
Patch14:      xscreensaver-4.14-pwdhelper.patch
Patch15:      xscreensaver-hacklist.patch
Patch16:      xscreensaver-4.15-mkdir.patch
Patch17:      xscreensaver-4.16-rm_webcollage.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The xscreensaver program waits until the keyboard and mouse have been
idle for a period of time, and then runs a graphics demo chosen at
random. It turns off as soon as there is any mouse or keyboard
activity. It can also lock the screen immediately, after a longer idle
period, or on demand.

The xscreensaver package consists of two parts: the screensaver and the
"driver" or "daemon", which detects idleness and does locking, and the
many graphics demos that are launched by xscreensaver.

Any X program that can draw on the root window can be used with
xscreensaver, regardless of how that program is written, what language
it is written in, or what libraries it uses. The xscreensaver daemon
takes care of detecting when the user is idle, locking, and checking
passwords and all the other book-keeping. All the other programs need
to do is draw.

The benefit that xscreensaver has over the combination of the xlock and
xautolock programs is the ease with which new graphic hacks can be
installed. You do not need to recompile (or even re-run) the
xscreensaver program to add a new display mode, you just change a
config file.



Authors:
--------
    Jamie Zawinski <jwz@jwz.org>

%package gnome
Requires:     control-center2 xscreensaver = %version
Summary:      Gnome bindings for xscreensaver
Group:        Amusements/Toys/Screensavers

%description gnome
This package contains Gnome bindings that make xscreensaver appear in
Gnome control center.



Authors:
--------
    Jamie Zawinski <jwz@jwz.org>

%prep
%setup -q
%patch2
%patch5
cp %{S:2} .
%patch8
%patch10 -p1
%patch11
%patch14 -p1
%patch15
%patch16
%patch17 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
rm -f acinclude.m4
intltoolize --copy --force
aclocal
autoheader
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --prefix=/usr/X11R6 \
	--datadir=/usr/X11R6/lib/X11 \
	--mandir=/usr/X11R6/man \
	--exec-prefix=/usr/X11R6 \
	--with-icondir=/usr/X11R6/lib/X11/xscreensaver/pixmaps \
	--with-configdir=/usr/X11R6/lib/X11/xscreensaver/config \
    --with-fortune=/usr/X11R6/lib/X11/xscreensaver/fortune-wrapper \
    --without-kerberos \
	--with-passwd-helper="/sbin/unix2_chkpwd" \
	--with-xpm \
	--with-xml \
	--with-shadow \
	--with-xshm-ext \
%ifarch %ix86 %x86_64
         --with-gle \
%endif
%ifarch alpha
         --without-xf86vmode-ext \
%endif
	--enable-locking 
make

%install
rm -rf $RPM_BUILD_ROOT
rm -f hacks/config/{vidwhacker,webcollage}.xml
mkdir -p $RPM_BUILD_ROOT/tmp/bin
make install_prefix=$RPM_BUILD_ROOT \
     KDEDIR=/tmp \
     DESTDIR=$RPM_BUILD_ROOT \
     install
rm -r $RPM_BUILD_ROOT/tmp
#
# remove obsolete suid bit
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/xscreensaver
#
# pam config
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/xscreensaver
#
# cleanup unwanted files
rm -rf $RPM_BUILD_ROOT/opt/gnome/share/control-center
%{find_lang} %{name}
#
# fortune wrapper
install -m 755 %{S:4} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscreensaver/fortune-wrapper
%suse_update_desktop_file screensaver-properties

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.SuSE
%doc /usr/X11R6/man/man1/*
/usr/X11R6/bin/*
/usr/X11R6/lib/xscreensaver/
/usr/X11R6/lib/X11/xscreensaver/
%config /usr/X11R6/lib/X11/app-defaults/XScreenSaver
%config /etc/pam.d/xscreensaver

%files gnome
%defattr(644,root,root,755)
/opt/gnome/share/pixmaps/xscreensaver.xpm
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/control-center-2.0/capplets/*.desktop

%changelog -n xscreensaver
* Fri Jun 18 2004 - mcihar@suse.cz
- remove webcollage (bug 42196 - often downloading porn pictures)
* Wed May 19 2004 - mcihar@suse.cz
- update to 4.16
* Mon Mar 29 2004 - ro@suse.de
- automake no longer defined MKINSTALLDIRS
  use "mkdir -p" in po/Makefile.in.in
* Mon Mar 01 2004 - mcihar@suse.cz
- update to 4.15
- removed obsoleted patches
- compile with -fno-strict-aliasing
* Wed Feb 25 2004 - hhetter@suse.de
- added xscreensaver-hacklist.patch: change the default
  xscreenhack list
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Dec 12 2003 - mcihar@suse.cz
- perl-XML-Parser added to neededforbuild as intltool requires it
* Fri Nov 21 2003 - okir@suse.de
- xscreensaver would occasionally crash while validating
  passwords (#33192) or act in other unexpected ways (#30986)
* Wed Nov 19 2003 - mcihar@suse.cz
- fix for unsecure /tmp handling (bug #32866)
* Wed Oct 29 2003 - mcihar@suse.cz
- updated to 4.14:
  * New hacks, fontglide, apple2, xanalogtv, pong, gleidescope, mirrorblob, and blinkbox.
  * New version of glsnake (with many more models.)
  * Another Windows crash in bsod; also HVX/GCOS6/TPS6.
  * New version of endgame.
  * Various minor fixes.
- some our patches included in upstream
* Thu Oct 16 2003 - mcihar@suse.cz
- do not use root for build
- disable fortune test in order to not modify root filesystem
  (disable-fortune-test.diff)
* Thu Oct 02 2003 - mcihar@suse.cz
- updated to 4.13:
  * On Xinerama systems, xscreensaver now runs one hack on
  each monitor (just like in "real" multi-head mode)
  instead of running one hack stretching across all the
  screens.  Note that for this to work with any 3rd party
  screensavers, they must update their "vroot.h" file.
  * `webcollage' and `vidwhacker' display images using
  `xscreensaver-getimage' now.
  * Added `ljlatest' script for use with `starwars' and
  `phosphor'.
- rediffed some patches, removed obsollete patches
- move GNOME related stuff into separate package
* Thu Sep 18 2003 - mcihar@suse.cz
- hide menu entry only for KDE/GNOME
* Wed Sep 17 2003 - adrian@suse.de
- hide menu entry in KDE
* Mon Sep 15 2003 - mcihar@suse.cz
- do not require control-center2 (bug #30810)
* Wed Aug 20 2003 - mcihar@suse.cz
- updated to 4.12:
  * New GL hacks, `flipflop', `antspotlight', and `polytopes'.
  * Added VMS to `bsod'.
  * Updates to `webcollage' and `queens'.
  * Fixed a bug that could cause PAM to hang.
- the last mentioned change fixes our bug #29113
* Tue Aug 12 2003 - pthomas@suse.de
- Add autoheader templates.
- Add intltool to #neededforbuild and use intltoolize.
- Use AM_GLIB_GNU_GETTEXT.
- Fix all cases of type-punning so that the compiler doesn't warn.
- Fix all int<->pointer casts.
- Fix translations.
* Thu Aug 07 2003 - mcihar@suse.cz
- udate to 4.11
- don't require fortune, instead include wrapper that will print
  message, that user might want to install fortune package
* Wed Jul 30 2003 - sf@suse.de
- fixed specfile for non-ix86 and alpha-architectures
* Wed Jul 16 2003 - sbrabec@suse.cz
- Turned on GNOME2 interface instead of GTK1.
- Packaged GNOME related files.
* Fri Jun 13 2003 - kukuk@suse.de
- Store locale data below /usr/X11R6/share/locale like every other
  application is doing, too.
* Tue May 27 2003 - mcihar@suse.cz
- cleanup $RPM_BUILD_ROOT
* Wed Apr 09 2003 - mcihar@suse.cz
- requires fortune (fixes #25194)
- reenabled webcollage and vidwhacker
- updated to 4.09:
  * New hacks, `flyingtoasters', `bouncingcow', `jigglypuff',
  `glslideshow', `atunnels' and `piecewise'.
  * More models in `engine'.
  * Physics improvement in `fluidballs'.
  * Rewrote `xscreensaver-getimage' to remove reliance on
  external image loaders (xv, chbg, xloadimage, etc.)
  and to reduce flicker when loading files.
  * Made `gflux' and `flipscreen3d' be mouse-spinnable.
  * Added -clock option to `barcode'.
  * Minor fixes to `endgame', `flurry', `flipscreen3d',
  and `gflux'.
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Feb 04 2003 - pmladek@suse.cz
- updated to version 4.07:
  * new hacks - flurry, eruption, popsquares, barcode
  * updated hacks - maze, sproingies, fluidballs, whirlygig
  * fixes for running xscreensaver to a remote XFree86 display
  * fixed Perl version-sensitivity in xscreensaver-getimage-file
  * fixed GTK2 scrolling bug in xscreensaver-demo
* Tue Nov 19 2002 - pmladek@suse.cz
- updated to version 4.06:
  * new hacks -  glblur, halftone
  * updated hacks - endgame, queens, bumps, glplanet, engine, circuit,
  menger, molecule, bsod
  * fixed bugs in hacks - critical, webcollage, distort, bsod
  * fixed a bug that could rarely cause GL hacks to fail to double-buffer
  * fixed a bug that caused the window manager close box to kill
  `xscreensaver-demo' with a crash instead of a graceful exit
  * fixed a bug that caused `xscreensaver-gl-helper' to print a nonsense
  visual ID with some versions of `printf'
- removed obsolete patch which fixes default doc viewer
- installed correctly into the /usr/X11R6 tree
* Tue Aug 27 2002 - pmladek@suse.cz
- inverted expression in DEFAULT section of function get_pixel_resource,
  so, the background will be white when the requested color can not be
  allocated [#17520, #17525]
* Mon Aug 26 2002 - pmladek@suse.cz
- pam module is accessed via new helper utility unix2_chkpw and xscreensaver
  binary do not need group id bit now, many thanks to Olaf Kirch <okir@suse.de>
  for hint and patch [#18132]
- fixed to build configure from configure.in
* Mon Aug 19 2002 - pmladek@suse.cz
- installed icons are correctly [#17521]
- installed locale files correctly
- mozilla is the default doc viewer instead of netscape now
* Tue Aug 13 2002 - ro@suse.de
- remove gnome subpackage
- remove all related packages from neededforbuild
- xf86 used in neededforbuild for bitmaps
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Wed Jul 03 2002 - coolo@suse.de
- updated to 4.05
- removed kde2 screensaver hack
* Thu Mar 21 2002 - ro@suse.de
- add subpackage -gnome containing a xscreensaver-demo-gnome
  with full capplet support (needed for screensaver configuration
  in gnome) (#14265)
* Mon Jan 21 2002 - cihlar@suse.cz
- updated to version 4.00:
  * Redesigned `xscreensaver-demo' GUI
  * bugfixes
* Fri Dec 07 2001 - cihlar@suse.cz
- updated to version 3.34:
  * memory limit is off by default
  * several fixes
  * added several new screensavers
- removed obsolete patches
- fixed README.SuSE
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Oct 04 2001 - cihlar@suse.cz
- increased memoryLimit to 500M [#11468]
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jul 30 2001 - cihlar@suse.cz
- update to version 3.33
* Thu Jul 19 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Jun 18 2001 - cihlar@suse.cz
- moved xscreensaver.kss to /opt/kde2/bin
* Tue Jun 12 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed arguments to XtVa... functions for ia64 [bug #8612]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Tue Apr 10 2001 - cihlar@suse.cz
- updated to version 3.31
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 3.29
* Thu Mar 08 2001 - uli@suse.de
- added mesaglut* to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Dec 15 2000 - grimmer@suse.de
- added GLE support for Intel archs
* Wed Nov 22 2000 - cihlar@suse.cz
- renamed xscrns -> xscreensaver
- update to version 3.26
- bzipped sources
- removed xpm.h from sources
- compile again with xdevel
- fixed copyright
* Mon Nov 20 2000 - ro@suse.de
- switch to openmotif
* Tue Sep 05 2000 - schwab@suse.de
- Don't add -Wp,-lang-c89 to $CC, enables strict ANSI mode in newer gcc
  versions.
* Tue Aug 22 2000 - cihlar@suse.cz
- change /usr/X11R6/xscreensaver to 2755 root.shadow
* Wed Aug 02 2000 - cihlar@suse.cz
- compile with xpm support
* Fri Jul 28 2000 - cihlar@suse.cz
- compile with xdevel3 instead of xdevel
* Wed Jul 12 2000 - cihlar@suse.cz
- mesadev added to needforbuild
* Mon Jul 03 2000 - cihlar@suse.cz
- screensaver webcollage removed
* Thu Apr 13 2000 - cihlar@suse.cz
- added define kdedir to spec file
* Wed Apr 12 2000 - cihlar@suse.cz
- upgrade to version 3.24
- added BuildRoot
- clean up spec file
* Wed Jan 26 2000 - ro@suse.de
- update to 3.22
- move demos to /usr/X11R6/lib/xscreensaver
- use lesstif
  (xscreensaver-demo won't build without either motif or gtk)
* Thu Nov 04 1999 - ro@suse.de
- update to 3.18
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - grimmer@suse.de
- Update to 3.16, added new manual pages
- added README.SuSE and screenblank.txt to DOCDIR
* Tue Jun 15 1999 - kukuk@suse.de
- Don't link mesa static, enable PAM support
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Wed Apr 14 1999 - ro@suse.de
- update to 3.09
- link static against mesa libs
* Tue Feb 10 1998 - bs@suse.de
- fixed Check for man pages
* Tue Jan 13 1998 - bb@suse.de
  Changes since 2.13:
- Better fix for the Motif drag-and-die lossage.
- Put in some kludges to work around a LessTif bug.
- XScreenSaver is known to work with LessTif 0.82 now.
- Made fading work on high-end SGI video hardware.
- Fixed another SGI-specific bug in screen grabbing;
  will the madness never cease?
- Fixed another crash in `xlyap'.
